#
# kihon1.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nmax = 50

x  = NArray.sfloat(nmax+1)
y1 = NArray.sfloat(nmax+1)
y2 = NArray.sfloat(nmax+1)
y3 = NArray.sfloat(nmax+1)

#-- data ----
x = x.indgen * 1.0/nmax
y1 = x**3
y2 = x**2
y3 = sqrt(x)

#-- graph ----
Dev.open
Frame.new

Frame.pvpr(1)

Plot.vdraw(x, y1)
Mark.vdraw(x, y2)
Text.vdraw(0.5, 0.5, 'SGTXV')
Tone.lsoftf=true
Tone.vfill(x, y3)

Dev.close
