#
# kihon6.rb

require "narray"
require "numru/advanceddcl"

include NumRu::AdvancedDCL
include NMath

nmax = 50
x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1)

#-- data ----
r = 3.7
x.indgen(1950.0, 1.0)
y[0] = 0.5
for n in 0..nmax-1
  y[n+1] = r*y[n]*(1-y[n])
end

y = -4 * y + 20.0

#-- graph ----
Dev.open
Frame.new

Fig.window=[1950.0, 2000.0, 15.0, 20.0]
Fig.viewport=[0.2, 0.8, 0.2, 0.8]
Fig.transnum=1

Axis.draw
Plot.draw(x, y)

Dev.close

